CLASS TEMPL(3)

NAME
boost::algorithm::has_const_time_erase - Const time erase trait.

SYNOPSIS

// In header: <boost/algorithm/string/sequence_traits.hpp>
template<typename T>
class has_const_time_erase {
public:
  // types
  typedef mpl::bool_< has_const_time_erase< T >::value > type;
  static const bool value;
};

DESCRIPTION

This trait specifies that the sequence's erase method has constant time complexity.